## xf86-input-multitouch 1.0~rc2

=== Makefile ===
VERSION = 1
PATCHLEVEL = 0
EXTRAVERSION = rc2

LIBRARY	= multitouch.so
MODULES = src
XMODULES = driver

o_src	= capabilities hwstate mtstate memory mtouch gestures

o_driver= multitouch

TARGETS	+= src/test

OBJECTS	= $(addsuffix .o,\
	$(foreach mod,$(MODULES),\
	$(addprefix $(mod)/,$(o_$(mod)))))
XOBJECTS= $(addsuffix .o,\
	$(foreach mod,$(XMODULES),\
	$(addprefix $(mod)/,$(o_$(mod)))))

TBIN	= $(addprefix bin/,$(TARGETS))
TLIB	= $(addprefix obj/,$(LIBRARY))
TOBJ	= $(addprefix obj/,$(addsuffix .o,$(TARGETS)))
OBJS	= $(addprefix obj/,$(OBJECTS))
XOBJS	= $(addprefix obj/,$(XOBJECTS))
LIBS	= -lmtdev -lm

DLIB	= usr/lib/xorg/modules/input

INCLUDE = -Iinclude -I/usr/include/xorg -I/usr/include/pixman-1
OPTS	= -O3 -fPIC

.PHONY: all clean
.PRECIOUS: obj/%.o

all:	$(OBJS) $(TLIB) $(TOBJ) $(TBIN)

bin/%:	obj/%.o $(OBJS)
	@mkdir -p $(@D)
	gcc $< -o $@ $(OBJS) $(LIBS)

$(TLIB): $(OBJS) $(XOBJS)
	@rm -f $(TLIB)
	gcc -shared $(OBJS) $(XOBJS) $(LIBS) -Wl,-soname -Wl,$(LIBRARY) -o $@

obj/%.o: %.c
	@mkdir -p $(@D)
	gcc $(INCLUDE) $(OPTS) -c $< -o $@

obj/%.o: %.cc
	@mkdir -p $(@D)
	gcc $(INCLUDE) $(OPTS) -c $< -o $@

clean:
	rm -rf bin obj

distclean: clean
	rm -rf debian/*.log debian/files debian/xf86-input-multitouch*

install: $(TLIB)
	install -d "$(DESTDIR)/$(DLIB)"
	install -m 755 $(TLIB) "$(DESTDIR)/$(DLIB)"

## xf86-input-multitouch 1.0~rc2+git20110312

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,9 @@
 OBJS	= $(addprefix obj/,$(OBJECTS))
 XOBJS	= $(addprefix obj/,$(XOBJECTS))
 LIBS	= -lmtdev -lm
+LIBDIR  = usr/lib
 
-DLIB	= usr/lib/xorg/modules/input
+DLIB	= $(LIBDIR)/xorg/modules/input
 
 INCLUDE = -Iinclude -I/usr/include/xorg -I/usr/include/pixman-1
 OPTS	= -O3 -fPIC

=== debian/changelog ===
xf86-input-multitouch (1.0~rc2+git20110312-2build5) trusty; urgency=medium

  * Rebuild to pick up xorg 1.15 abi.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 05 Feb 2014 09:27:56 +0000

xf86-input-multitouch (1.0~rc2+git20110312-2build4) raring; urgency=low

  * Rebuild to pick up new Xserver dependencies.

 -- Timo Aaltonen <tjaalton@eldon>  Fri, 08 Feb 2013 11:58:25 +0200

xf86-input-multitouch (1.0~rc2+git20110312-2build3) quantal; urgency=low

  * No-change rebuild for xorg-input-abi change.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 15 Sep 2012 15:55:20 +0400

xf86-input-multitouch (1.0~rc2+git20110312-2build2) precise; urgency=low

  * Rebuild again to fix upload snafu

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 16 Dec 2011 09:56:35 +1100

xf86-input-multitouch (1.0~rc2+git20110312-2build1) precise; urgency=low

  * Rebuild to pick up new Xserver dependencies

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 16 Dec 2011 08:52:57 +1100

xf86-input-multitouch (1.0~rc2+git20110312-2) unstable; urgency=low

  * Remove debian/README.Debian.
    This is unnecessary, because X server reads a setup from
    /usr/share/X11/xorg.conf.d/50-multitouch.conf. (Closes: #646830)
    Thanks to Olivier Aubert <olivier.aubert@liris.cnrs.fr>.
  * Update Standards-Version to 3.9.2.
  * Update copyright format to DEP5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 28 Oct 2011 20:22:55 +0900

xf86-input-multitouch (1.0~rc2+git20110312-1) unstable; urgency=low

  * Update upstream to git20110312 (Closes: #625608).
  * Update patch.
    - Update patches/02_optimize_O2.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 May 2011 21:45:56 +0900

xf86-input-multitouch (1.0~rc2-3) unstable; urgency=low

  * Update debian/control.
    - Fix xserver-xorg-core dependency and ABI handling (Closes: #614426).
      Thanks to Julien Cristau.
    - Change support architecture from any to linux-any.
    - Add Vcs-Git and Vcs-Browser field.
  * Change optimize from O3 to O2.
    Add patches/02_optimize_O2.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 08 Mar 2011 12:12:12 +0900

xf86-input-multitouch (1.0~rc2-2) unstable; urgency=low

  * Fix did not include multitouch driver.
    - Add debian/install file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 Dec 2010 20:08:17 +0900

xf86-input-multitouch (1.0~rc2-1) unstable; urgency=low

  * Initial release (Closes: #603534).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 12 Nov 2010 05:31:37 +0900

=== debian/control ===
Source: xf86-input-multitouch
Section: x11
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends:
	debhelper (>= 8),
	pkg-config,
	quilt (>= 0.46-7~),
	xserver-xorg-dev (>= 2:1.11.2.902),
	libmtdev-dev (>= 1.0.11)
Standards-Version: 3.9.2
Homepage: http://bitmath.org/code/multitouch/
Vcs-Git: git://git.debian.org/collab-maint/xf86-input-multitouch.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xf86-input-multitouch.git

Package: xserver-xorg-input-multitouch
Architecture: linux-any
Depends: ${shlibs:Depends},
		${misc:Depends},
		${xinpdriver:Depends},
		libmtdev1 (>= 1.0.10)
Provides: ${xinpdriver:Provides}
Description: Multitouch X input driver
 This X input driver provides gestures support for multitouch touchpads,
 in particular those with integrated button.

=== debian/rules ===
#!/usr/bin/make -f

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	install -d debian/xserver-xorg-input-multitouch/usr/share/X11/xorg.conf.d
	install -m 644 debian/local/50-multitouch.conf \
		debian/xserver-xorg-input-multitouch/usr/share/X11/xorg.conf.d

	dh_install --fail-missing

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)"

override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with quilt,xsf

## xf86-input-multitouch 1.0~rc3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 1
 PATCHLEVEL = 0
-EXTRAVERSION = rc2
+EXTRAVERSION = rc3
 
 LIBRARY	= multitouch.so
 MODULES = src

=== debian/changelog ===
xf86-input-multitouch (1.0~rc3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #880789)
    + Let dh_auto_build pass cross compilers to make.
    + 03_cross.patch: Make gcc substitutable.

  [ Nobuhiro Iwamatsu ]
  * Update Standards-Version to 4.1.3.
  * Update supporting debhelper to 11.
  * Move Vcs-* to salsa.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 12 Mar 2018 14:38:28 +0900

xf86-input-multitouch (1.0~rc3-1) unstable; urgency=medium

  * New upstream release. (Closes: #826008)
  * Update Standards-Version to 4.0.0.
  * Update patches/01_change_modulename.patch.
  * Fix copyright by cme.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 Jul 2017 10:59:29 +0900

=== debian/control ===
Source: xf86-input-multitouch
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11),
               pkg-config,
               xserver-xorg-dev (>= 2:1.9.4),
               libmtdev-dev (>= 1.0.11)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/xf86-input-multitouch
Vcs-Git: https://salsa.debian.org/debian/xf86-input-multitouch.git
Homepage: http://bitmath.org/code/multitouch/

Package: xserver-xorg-input-multitouch
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${xinpdriver:Depends},
         libmtdev1
Provides: ${xinpdriver:Provides}
Description: Multitouch X input driver
 This X input driver provides gestures support for multitouch touchpads,
 in particular those with integrated button.

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,10 @@
 	dh_install --fail-missing
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	dh_auto_build -- CFLAGS="$(CFLAGS)"
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- --warnings=6
 
 %:
-	dh $@ --with quilt,xsf
+	dh $@ --with xsf
